import {
	request
} from '../utils/request'

// 修改项目申请信息
export function updateProjectApply(data) {
	return request({
		url: '/project/projectApply',
		method: 'put',
		data: data
	})
}

// 验收申请列表
export function checkApplyList(query) {
	return request({
		url: '/project/projectApply/checkApplyList',
		method: 'get',
		params: query
	})
}

// 验收申请列表
export function findGroupCountByStatus(query) {
	return request({
		url: '/project/projectApply/findGroupCountByStatus',
		method: 'get',
		params: query
	})
}

// 创建二维码
export function createQr(id) {
	return request({
		url: '/project/projectApply/createQr/'+id,
		method: 'get'
	})
}

// 保存验收
export function editApplyChecked(data) {
	return request({
		url: '/project/projectApply/editApplyChecked',
		method: 'put',
		data: data
	})
}

// 验收详情
export function findApplyDetailAllCheck(detailId) {
	return request({
		url: '/manage/proProjectApplyDetailCheck/findAll/'+detailId,
		method: 'get'
	})
}

export function addApplyDetail(data) {
	return request({
		url: '/project/projectApply/addApplyDetail',
		method: 'post',
		data: data
	})
}

// 添加验收
export function addApplyDetailCheck(data) {
	return request({
		url: '/manage/proProjectApplyDetailCheck',
		method: 'post',
		data: data
	})
}